Skip to main content
GET/store/inventoryapi_key

Returns pet inventories by status.

Request Example
curl -X GET "/store/inventory" \ -H "X-API-Key: <api-key>" \ -H "Accept: application/json"
Response
POST/store/order

Place an order for a pet.

Request Body
{ "id": 10, "petId": 198772, "quantity": 7, "shipDate": "2026-01-01T00:00:00Z", "status": "approved", "complete": false }
Request Example
curl -X POST "/store/order" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{"id":10,"petId":198772,"quantity":7,"shipDate":"2026-01-01T00:00:00Z","status":"approved","complete":false}'
Response
{ "id": 10, "petId": 198772, "quantity": 7, "shipDate": "2026-01-01T00:00:00Z", "status": "approved", "complete": false }
GET/store/order/{orderId}

Find purchase order by ID.

Request Example
curl -X GET "/store/order/{orderId}" \ -H "Accept: application/json"
Response
{ "id": 10, "petId": 198772, "quantity": 7, "shipDate": "2026-01-01T00:00:00Z", "status": "approved", "complete": false }
DELETE/store/order/{orderId}

Delete purchase order by identifier.

Request Example
curl -X DELETE "/store/order/{orderId}"
Response
Was this page helpful?